Index: bootscripts/ChangeLog
===================================================================
--- bootscripts/ChangeLog	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ bootscripts/ChangeLog	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -1,2 +1,5 @@
+2014-06-29 Bruce Dubbs <bdubbs@linuxfromscratch.org>
+   * Remove systemd references and files
+
 2014-03-31 Bruce Dubbs <bdubbs@linuxfromscratch.org>
    * Changes made to be consistent with common systemd functions
Index: bootscripts/Makefile
===================================================================
--- bootscripts/Makefile	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ bootscripts/Makefile	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -2,5 +2,4 @@
 LIBDIR=${DESTDIR}/lib
 SERVICEDIR=${LIBDIR}/services
-UNITDIR=${LIBDIR}/systemd/system
 MAN8=${DESTDIR}/usr/share/man/man8
 SBIN=${DESTDIR}/sbin
Index: otscripts/lfs/lib/systemd/ifupdown@.service
===================================================================
--- bootscripts/lfs/lib/systemd/ifupdown@.service	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ 	(revision )
@@ -1,12 +1,0 @@
-[Unit]
-Description=Start ifupdown for %I
-BindTo=sys-subsystem-net-devices-%i.device
-ConditionPathExists=/etc/sysconfig/ifconfig.%i
-
-[Service]
-ExecStart=/sbin/ifup %I
-ExecStop=/sbin/ifdown %I
-RemainAfterExit=true
-
-[Install]
-WantedBy=multi-user.target
Index: otscripts/lfs/units/ifupdownat.service
===================================================================
--- bootscripts/lfs/units/ifupdownat.service	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ 	(revision )
@@ -1,12 +1,0 @@
-[Unit]
-Description=Start ifupdown for %I
-BindTo=sys-subsystem-net-devices-%i.device
-ConditionPathExists=/etc/sysconfig/ifconfig.%i
-
-[Service]
-ExecStart=/sbin/ifup %I
-ExecStop=/sbin/ifdown %I
-RemainAfterExit=true
-
-[Install]
-WantedBy=multi-user.target
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ chapter01/changelog.xml	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -36,4 +36,38 @@
     </listitem>
 -->
+    <listitem>
+      <para>2014-07-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Removed references to /lib/udev/devices. Fixes
+          <ulink url="&lfs-ticket-root;3620">#3620</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-3.15.4. Fixes
+          <ulink url="&lfs-ticket-root;3623">#3623</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Removed systemd references in bootscripts. Fixes
+          <ulink url="&lfs-ticket-root;3624">#3624</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Simlify lto instructions in chapter 6 gcc. Fixes
+          <ulink url="&lfs-ticket-root;3626">#3626</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update XML-Parser source location. Fixes
+          <ulink url="&lfs-ticket-root;3628">#3628</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to eudev-1.9. Fixes
+          <ulink url="&lfs-ticket-root;3630">#3630</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to kbd-2.0.2. Fixes
+          <ulink url="&lfs-ticket-root;3631">#3631</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
     <listitem>
       <para>2014-07-02</para>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ chapter01/whatsnew.xml	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -113,7 +113,7 @@
       <para>IPRoute2 &iproute2-version;</para>
     </listitem>
-    <!--<listitem>
+    <listitem>
       <para>Kbd &kbd-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Kmod &kmod-version;</para>
Index: chapter06/eudev.xml
===================================================================
--- chapter06/eudev.xml	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ chapter06/eudev.xml	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -74,5 +74,5 @@
 will also be used as a part of installation:</para>
 
-<screen><userinput remap="install">mkdir -pv /lib/{firmware,udev/devices/pts}
+<screen><userinput remap="install">mkdir -pv /lib/{firmware,udev}
 mkdir -pv /lib/udev/rules.d
 mkdir -pv /etc/udev/rules.d</userinput></screen>
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ chapter06/gcc.xml	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -155,13 +155,5 @@
 
 <screen><userinput remap="install">install -dm755 /usr/lib/bfd-plugins
-pushd /usr/lib/bfd-plugins
-
-if [ $(uname -m) == "i686" ]; then 
-   ln -sfv ../../libexec/gcc/i686-pc-linux-gnu/&gcc-version;/liblto_plugin.so 
-else
-   ln -sfv ../../libexec/gcc/x86_64-unknown-linux-gnu/&gcc-version;/liblto_plugin.so 
-fi
-
-popd</userinput></screen>
+ln -sfv ../../libexec/gcc/$(gcc -dumpmachine)/&gcc-version;/liblto_plugin.so</userinput></screen>
 
     <para>Now that our final toolchain is in place, it is important to again ensure
Index: chapter07/usage.xml
===================================================================
--- chapter07/usage.xml	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ chapter07/usage.xml	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -210,16 +210,4 @@
   <sect2>
     <title>Udev Bootscripts</title>
-
-      <para>The first LFS bootscript,
-      <filename>/etc/init.d/mountvirtfs</filename> will copy any devices
-      located in <filename class="directory">/lib/udev/devices</filename> to
-      <filename class="directory">/dev</filename>. This is necessary because
-      some devices, directories, and symlinks are needed before the dynamic
-      device handling processes are available during the early stages of
-      booting a system, or are required by <command>udevd</command> itself.
-      Creating static device nodes in <filename
-      class="directory">/lib/udev/devices</filename> also provides an easy
-      workaround for devices that are not supported by the dynamic device
-      handling infrastructure.</para>
 
       <para>The <filename>/etc/rc.d/init.d/udev</filename> initscript starts
Index: general.ent
===================================================================
--- general.ent	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ general.ent	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -1,5 +1,5 @@
-<!ENTITY version         "SVN-20140702">
+<!ENTITY version         "SVN-20140708">
 <!ENTITY short-version   "svn">  <!-- Used in dbus chapter, change to x.y for release -->
-<!ENTITY releasedate     "July 02, 2014">
+<!ENTITY releasedate     "July 8, 2014">
 <!ENTITY copyrightdate   "1999-2014"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "7.6">
Index: packages.ent
===================================================================
--- packages.ent	(revision e4429b7173ab1343a0a20089db115fba66f49e0b)
+++ packages.ent	(revision 6bd5f1124176506262ea32a688c6ce295e8781ac)
@@ -148,8 +148,8 @@
 <!ENTITY e2fsprogs-ch6-sbu "1.7 SBU">
 
-<!ENTITY eudev-version "1.8">
-<!ENTITY eudev-size "1,716 KB">
+<!ENTITY eudev-version "1.9">
+<!ENTITY eudev-size "1,722 KB">
 <!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
-<!ENTITY eudev-md5 "4520cf7ba2ec4be1bd0ac5ff75c8b315">
+<!ENTITY eudev-md5 "da8083b30b44177445b21e8299af23a1">
 <!ENTITY eudev-manpages-size "9 KB">
 <!ENTITY eudev-manpages-url "&anduin-other;eudev-&eudev-version;-manpages.tar.bz2">
@@ -347,8 +347,8 @@
 <!ENTITY iproute2-ch6-sbu "0.1 SBU">
 
-<!ENTITY kbd-version "2.0.1">
-<!ENTITY kbd-size "1,962 KB">
+<!ENTITY kbd-version "2.0.2">
+<!ENTITY kbd-size "2,105 KB">
 <!ENTITY kbd-url "https://www.kernel.org/pub/linux/utils/kbd/kbd-&kbd-version;.tar.gz">
-<!ENTITY kbd-md5 "e9f2b7046312c11cec9e52e22f307b6a">
+<!ENTITY kbd-md5 "ba56fb5bfd44acea83fc5dac4a9b7f15">
 <!ENTITY kbd-home "http://ftp.altlinux.org/pub/people/legion/kbd">
 <!ENTITY kbd-ch6-du "20 MB">
@@ -371,5 +371,5 @@
 <!ENTITY less-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY lfs-bootscripts-version "20140511">              <!-- Scripts depend on this format -->
+<!ENTITY lfs-bootscripts-version "20140629">              <!-- Scripts depend on this format -->
 <!ENTITY lfs-bootscripts-size "BOOTSCRIPTS-SIZE KB">         <!-- Updated in Makefile -->
 <!ENTITY lfs-bootscripts-url "&downloads-root;lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
@@ -408,10 +408,10 @@
 <!ENTITY linux-major-version "3">
 <!ENTITY linux-minor-version "15">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "4">
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
-<!ENTITY linux-size "77,813 KB">
+<!ENTITY linux-size "77,793 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "72bd0bf0e773963217c89cddbf3e0048">
+<!ENTITY linux-md5 "5525ef4f6f577682d7ea2bf992aa6bcf">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 3.9.0 / gcc-4.8.0 on x86_64 : minimum is
@@ -650,5 +650,5 @@
 <!ENTITY xml-parser-version "2.42_01">
 <!ENTITY xml-parser-size "236 KB">
-<!ENTITY xml-parser-url "http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
+<!ENTITY xml-parser-url "http://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
 <!ENTITY xml-parser-md5 "a4650aebcc464bb91113c2c356da8210">
 <!ENTITY xml-parser-home "https://github.com/chorny/XML-Parser">
